Bug 243264 - Python aborts when using ldap module.
Python aborts when using ldap module.
Product: Fedora
Classification: Fedora
Component: python-ldap (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2007-06-08 06:27 EDT by Yoshinori KUNIGA
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.3-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-13 17:03:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Script to reproduce. (69 bytes, text/plain)
2007-06-08 06:27 EDT, Yoshinori KUNIGA
no flags Details

  None (edit)
Description Yoshinori KUNIGA 2007-06-08 06:27:43 EDT
Description of problem:
ldap.initialize() method fails.

Version-Release number of selected component (if applicable):
$ rpm -q python python-ldap

How reproducible:

Steps to Reproduce:
Run attached script as 'python pyldap.py'.

Actual results:
Python aborts.

Expected results:
Python finishes normally.

Additional info:
This is attributed to the fact that version of python-ldap is old.


46 Released 2.2.1 2006-11-15
48 Changes since 2.2.0:
50 Modules/
51 * Fix for Python 2.5 free(): invalid pointer (see SF#1575329)
52 * passwd() accepts None for arguments user, oldpw, newpw
53   (see SF#1440151)
Comment 1 Yoshinori KUNIGA 2007-06-08 06:27:43 EDT
Created attachment 156562 [details]
Script to reproduce.
Comment 2 Matthew Barnes 2007-06-08 09:07:13 EDT
I've upgrade python-ldap in Rawhide to 2.3, but I'm a little hesitant about
bumping the version in a stable distro like Fedora 7.  Are there API changes
between 2.2.0 and 2.3 that may break applications?
Comment 3 Yoshinori KUNIGA 2007-06-09 06:54:34 EDT
Thanks for the swift response.  I compared the differences between output of
pydoc python-ldap-2.2.0 and python-ldap-2.3.  There is API addition but it
seems to there is no API changes.
Comment 4 Matthew Barnes 2007-06-09 11:58:33 EDT
Thanks for looking into it.  That seems pretty safe, and according to repoquery
only sabayon and luma use python-ldap.  I'll submit an update for Fedora 7 and
see if anyone objects.
Comment 5 Fedora Update System 2007-06-09 12:37:55 EDT
python-ldap-2.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Yoshinori KUNIGA 2007-06-11 03:16:43 EDT
This problem has been solved.  Thank you for your cooperation.
Comment 7 Fedora Update System 2007-06-13 17:03:52 EDT
python-ldap-2.3-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.